Bug 218877

Summary: Update ANGLE 2020-11-12
Product: WebKit Reporter: James Darpinian <jdarpinian>
Component: WebGLAssignee: James Darpinian <jdarpinian>
Status: RESOLVED FIXED    
Severity: Normal CC: annulen, dino, ews-watchlist, graouts, gyuyoung.kim, kbr, kondapallykalyan, ryuan.choi, sergio, smoley, webkit-bug-importer
Priority: P2 Keywords: InRadar
Version: WebKit Nightly Build   
Hardware: Unspecified   
OS: Unspecified   
Bug Depends on:    
Bug Blocks: 126404    
Attachments:
Description Flags
Patch
ews-feeder: commit-queue-
Patch
ews-feeder: commit-queue-
Patch
ews-feeder: commit-queue-
Patch
ews-feeder: commit-queue-
Patch
ews-feeder: commit-queue-
Patch
none
Patch
kbr: review+, ews-feeder: commit-queue-
Patch none

Description James Darpinian 2020-11-12 16:58:35 PST
Update ANGLE 2020-11-12
Comment 1 James Darpinian 2020-11-12 17:05:51 PST
Created attachment 413986 [details]
Patch
Comment 2 EWS Watchlist 2020-11-12 17:08:29 PST
Note that there are important steps to take when updating ANGLE. See https://trac.webkit.org/wiki/UpdatingANGLE
Comment 3 James Darpinian 2020-11-16 16:31:02 PST
Created attachment 414291 [details]
Patch
Comment 4 James Darpinian 2020-11-16 16:56:38 PST
Created attachment 414294 [details]
Patch
Comment 5 Radar WebKit Bug Importer 2020-11-16 18:20:28 PST
<rdar://problem/71468200>
Comment 6 James Darpinian 2020-11-17 15:12:03 PST
Created attachment 414390 [details]
Patch
Comment 7 James Darpinian 2020-11-17 16:14:28 PST
Created attachment 414394 [details]
Patch
Comment 8 James Darpinian 2020-11-19 15:46:04 PST
Created attachment 414630 [details]
Patch
Comment 9 James Darpinian 2020-11-19 15:50:22 PST
Created attachment 414631 [details]
Patch
Comment 10 James Darpinian 2020-11-19 18:29:22 PST
This is ready. Assuming it passes EWS, please CQ+ if the review looks good. I am off tomorrow.
Comment 11 Kenneth Russell 2020-11-20 10:10:11 PST
Comment on attachment 414631 [details]
Patch

Great work James improving the tooling around these rolls and completing this big one!

Reviewed changes.diff in detail - looks very good, only a couple of diffs relative to upstream at this point. r+ / cq+
Comment 12 EWS 2020-11-20 10:44:31 PST
commit-queue failed to commit attachment 414631 [details] to WebKit repository.
Comment 13 Kenneth Russell 2020-11-20 11:08:58 PST
Comment on attachment 414631 [details]
Patch

CQ claimed the patch wasn't marked cq+. Trying again.
Comment 14 EWS 2020-11-20 11:41:05 PST
commit-queue failed to commit attachment 414631 [details] to WebKit repository.
Comment 15 James Darpinian 2020-11-20 12:06:52 PST
Ah, tab characters. I can remove those.
Comment 16 James Darpinian 2020-11-20 12:07:28 PST
Created attachment 414704 [details]
Patch
Comment 17 EWS 2020-11-20 12:58:25 PST
Committed r270129: <https://trac.webkit.org/changeset/270129>

All reviewed patches have been landed. Closing bug and clearing flags on attachment 414704 [details].
Comment 18 Ryan Haddad 2020-11-30 15:43:46 PST
Reverted r270129, r270194, and r270258 for reason:

r270129 broke macCatalyst build

Committed r270272: <https://trac.webkit.org/changeset/270272>
Comment 19 James Darpinian 2020-11-30 16:34:36 PST
Sorry for the breakage. Is it possible for me to test the maccatalyst build? I don't see a public EWS bot for it and I don't see a way to build it locally.
Comment 20 Kenneth Russell 2020-12-03 13:21:44 PST
Dean helped reland these three patches in:

    Re-landing r270129, r270194, and r270258.
    
    git-svn-id: http://svn.webkit.org/repository/webkit/trunk@270351 268f45cc-cd09-0410-ab3c-d52691b4dbfc

http://trac.webkit.org/changeset/270351 (doesn't load in any reasonable period of time)

Thank you Dean for taking care of this!